drop support for eglibc version trunk/HEAD
authorMirko Vogt <mirko@openwrt.org>
Sat, 28 Apr 2012 20:47:48 +0000 (20:47 +0000)
committerMirko Vogt <mirko@openwrt.org>
Sat, 28 Apr 2012 20:47:48 +0000 (20:47 +0000)
When selecting a specific eglibc version, it comes with a specific SVN
revision that should not be modified as it (more or less) correspond to
a tagged release. This patch disable the possibility to select a specific
SVN revision on known eglib versions.

This patch also disables the possibility to select the trunk branch of
eglibc. There are multiple reasons for that:

* trunk/HEAD may not even compile

* the OpenWrt built system makes using trunk/HEAD a difficult thing, as
OpenWRT fetches the source tree and store it in a compressed tar archive.
Subsequent build get the source from the tar archive - not from SVN,
making the use of trunk/HEAD largelly innefective.

* we cannot know the corresponding version of trunk/HEAD, meaning that
we'll face compiling issues when we'll try to copy the libc files -
unless the build system is fixed with this specific issue in mind.

Signed-off-by: Emmanuel Deloget <logout@free.fr>
SVN-Revision: 31502

toolchain/eglibc/Config.in
toolchain/eglibc/Config.version
toolchain/eglibc/Makefile

index a8d3de6..f7df171 100644 (file)
@@ -13,9 +13,6 @@ choice
                bool "eglibc 2.14"
                depends !GCC_VERSION_LLVM
 
-       config EGLIBC_VERSION_TRUNK
-               bool "eglibc trunk"
-
 endchoice
 
 config EGLIBC_REVISION
@@ -24,7 +21,6 @@ config EGLIBC_REVISION
        depends on TOOLCHAINOPTS && USE_EGLIBC
        default "15508" if EGLIBC_VERSION_2_13
        default "16488" if EGLIBC_VERSION_2_14
-       default "HEAD"  if EGLIBC_VERSION_TRUNK
        default ""
 
 menu "eglibc configuration"
index b081cec..6f2e6a9 100644 (file)
@@ -1,6 +1,6 @@
 config EGLIBC_VERSION
        string
        depends on USE_EGLIBC
-       default "2.13"   if EGLIBC_VERSION_2_13
-       default "2.14.1"   if EGLIBC_VERSION_2_14
-       default "trunk"
+       default "2.13" if EGLIBC_VERSION_2_13
+       default "2.14.1" if EGLIBC_VERSION_2_14
+       default "2.13"
index fbd9daa..5623fcb 100644 (file)
@@ -21,9 +21,6 @@ endif
 ifneq ($(CONFIG_EGLIBC_VERSION_2_14),)
   PKG_SOURCE_URL:=svn://svn.eglibc.org/branches/eglibc-2_14
 endif
-ifneq ($(CONFIG_EGLIBC_VERSION_TRUNK),)
-  PKG_SOURCE_URL:=svn://svn.eglibc.org/trunk
-endif
 
 PATCH_DIR:=./patches/$(PKG_VERSION)